Bug 18388 - Standardize serials volume information displaying in OPAC and staff
Summary: Standardize serials volume information displaying in OPAC and staff
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Alex Arnaud
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-05 15:00 UTC by Alex Arnaud
Modified: 2017-04-16 12:18 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18388 - Standardize serials volume information displaying (2.08 KB, patch)
2017-04-05 15:02 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18388 - Standardize serials volume information displaying (2.36 KB, patch)
2017-04-06 06:48 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18388 - Standardize serials volume information displaying (2.42 KB, patch)
2017-04-12 13:38 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Arnaud 2017-04-05 15:00:40 UTC
On the opac-detail page, volume information for serial does not take into account serialseq or published date. This is the on the staff side.
Comment 1 Alex Arnaud 2017-04-05 15:02:22 UTC
Created attachment 61906 [details] [review]
Bug 18388 - Standardize serials volume information displaying
Comment 2 Marc Véron 2017-04-06 06:48:15 UTC
Tested, will sign off.

Alex, next time please do not forget adding a test plan, even if it is a trivial patch. It makes testing and sign offs easier :-)
Comment 3 Marc Véron 2017-04-06 06:48:35 UTC
Created attachment 61933 [details] [review]
Bug 18388 - Standardize serials volume information displaying

OPAC: Home > Details for (serial)
Compared information in tab 'Holdings' col 'Vol info' with
same information in staff client. With patch it's the same.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 4 Nick Clemens 2017-04-12 13:38:34 UTC
Created attachment 62089 [details] [review]
Bug 18388 - Standardize serials volume information displaying

OPAC: Home > Details for (serial)
Compared information in tab 'Holdings' col 'Vol info' with
same information in staff client. With patch it's the same.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Nick Clemens 2017-04-12 13:39:17 UTC
I like it and like that is in a span with clas so can be hidden for those who don't :-)
Comment 6 Kyle M Hall 2017-04-13 12:36:40 UTC
Pushed to master for 17.05, thanks Alex!
Comment 7 Katrin Fischer 2017-04-16 12:18:18 UTC
I think of this as more of an enhancement and it might be a surprising change to libraries on the stable release. So I've decided not to backport.